net.sf.jasperreports.engine.base

## Class VirtualizableElementList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<JRPrintElement>
    - - net.sf.jasperreports.engine.base.VirtualizableElementList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<JRPrintElement>, java.util.Collection<JRPrintElement>, java.util.List<JRPrintElement>

      public class VirtualizableElementList
      extends java.util.AbstractList<JRPrintElement>
      implements java.io.Serializable

  List implementation that can virtualize blocks of elements.
  Version:
    $Id: VirtualizableElementList.java 6045 2013-04-03 14:49:18Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualizableElementList(JRVirtualizationContext virtualizationContext, JRVirtualPrintPage page)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, JRPrintElement element)`
    `boolean` | `add(JRPrintElement element)`
    `void` | `clear()`
    `void` | `dispose()`
    `JRPrintElement` | `get(int index)`
    `JRPrintElement` | `remove(int index)`
    `JRPrintElement` | `set(int index, JRPrintElement element)`
    `void` | `set(java.util.List<JRPrintElement> elements)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractList

      `addAll, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### VirtualizableElementList

          public VirtualizableElementList(JRVirtualizationContext virtualizationContext,
                                  JRVirtualPrintPage page)

  - ### Method Detail

    - #### set

          public void set(java.util.List<JRPrintElement> elements)

    - #### get

          public JRPrintElement get(int index)

      Specified by:
        `get` in interface `java.util.List<JRPrintElement>`
      Specified by:
        `get` in class `java.util.AbstractList<JRPrintElement>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<JRPrintElement>`
      Specified by:
        `size` in interface `java.util.List<JRPrintElement>`
      Specified by:
        `size` in class `java.util.AbstractCollection<JRPrintElement>`

    - #### set

          public JRPrintElement set(int index,
                           JRPrintElement element)

      Specified by:
        `set` in interface `java.util.List<JRPrintElement>`
      Overrides:
        `set` in class `java.util.AbstractList<JRPrintElement>`

    - #### add

          public boolean add(JRPrintElement element)

      Specified by:
        `add` in interface `java.util.Collection<JRPrintElement>`
      Specified by:
        `add` in interface `java.util.List<JRPrintElement>`
      Overrides:
        `add` in class `java.util.AbstractList<JRPrintElement>`

    - #### add

          public void add(int index,
                 JRPrintElement element)

      Specified by:
        `add` in interface `java.util.List<JRPrintElement>`
      Overrides:
        `add` in class `java.util.AbstractList<JRPrintElement>`

    - #### remove

          public JRPrintElement remove(int index)

      Specified by:
        `remove` in interface `java.util.List<JRPrintElement>`
      Overrides:
        `remove` in class `java.util.AbstractList<JRPrintElement>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<JRPrintElement>`
      Specified by:
        `clear` in interface `java.util.List<JRPrintElement>`
      Overrides:
        `clear` in class `java.util.AbstractList<JRPrintElement>`

    - #### dispose

          public void dispose()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com